Bug 479603 - Review Request: shcov - A gcov and lcov coverage test tool for bourne shell / bash scripts
Review Request: shcov - A gcov and lcov coverage test tool for bourne shell /...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-11 19:09 EST by Fabian Affolter
Modified: 2009-02-20 06:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 06:55:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-01-11 19:09:35 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/shcov.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/shcov-3-1.fc9.src.rpm

Project URL: http://code.google.com/p/shcov/

Description:
shcov is a gcov-like code coverage tester for bourne shell / bash
scripts. It also has a lcov-like HTML output generator to present
coverage results.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1046165

rpmlint output:
[fab@laptop024 noarch]$ rpmlint shcov-3-1.fc9.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint shcov-3-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Marcela Mašláňová 2009-01-15 06:34:56 EST
OK source files match upstream: 55772762ae9822983099d2edc89c2ead
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field matches the actual license.
OK license is open source-compatible. License text not included upstream.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
OK debuginfo package isn't need.
OK rpmlint is silent.
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.
ACCEPT
Comment 2 Fabian Affolter 2009-01-15 07:04:35 EST
New Package CVS Request
=======================
Package Name: shcov
Short Description: A gcov and lcov coverage test tool for bourne shell / bash scripts
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 3 Ralf Corsepius 2009-01-15 07:12:53 EST
MUSTFIX:

/usr/share/shcov/ is unowned
Comment 4 Kevin Fenzi 2009-01-15 15:20:01 EST
cvs done. 

Please fix the item from comment #3 before importing...
Comment 5 Fedora Update System 2009-01-16 18:41:26 EST
shcov-3-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update shcov'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0592
Comment 6 Fedora Update System 2009-01-16 18:47:44 EST
shcov-3-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update shcov'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0677
Comment 7 Fedora Update System 2009-01-29 18:02:09 EST
shcov-4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update shcov'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1089
Comment 8 Fedora Update System 2009-01-29 18:08:13 EST
shcov-4-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update shcov'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1157

Note You need to log in before you can comment on or make changes to this bug.